package LATMOS::Accounts::Web::Controller::Tools::LoadPasswd;
use Moose;
use namespace::autoclean;

BEGIN { extends 'Catalyst::Controller'; }

=head1 NAME

LATMOS::Accounts::Web::Controller::Tools::LoadPasswd - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index

=cut

sub index :Path :Args(0) {
    my ( $self, $c ) = @_;

    my $account = $c->model('Account');

    if (my $upload = $c->req->upload('input')) {

        my $crypt = $c->req->param('crypt');

        my $fh =  $upload->fh;
        while (my $line = <$fh>) {
            my ($username, $password) = split(/:/);
            $username or next;
            $password or next;

            if ($crypt) {
                my $user = $c->model('Accounts')->db->get_objects('user', $username)
                    or next;
                $user->InjectCryptPasswd($password);
            } else {
                $c->model('Accounts')->ChangeUserPassword($username, $password);
            }
        }
    }
}



=encoding utf8

=head1 AUTHOR

Olivier Thauvin,Guyancourt - B1428,+33 1 80285052,

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
